#!/usr/bin/env python3
from setuptools import setup

import sys
import reload


version = '.'.join([str(i) for i in reload.__version__])

setup(
	name=reload.__script__,
	version=version,
	packages=['reload'],
	python_requires='>=3.6.0',
	install_requires=[req.replace('\n', '') for req in open('requirements.txt').readlines()],
	include_package_data=False,
	author=reload.__author__,
	author_email='admin@barkshark.xyz',
	description='File watcher that restarts a process on modification',
	keywords='dev',
	url=reload.__url__,

	entry_points={
		'console_scripts': ['reload=reload.script:main']
	},

	project_urls={
		'Bug Tracker': reload.__url__ + '/issues',
		'Source Code': reload.__url__
	},

	classifiers=[
		'Development Status :: 4 - Beta',
		'Intended Audience :: Developers',
		'License :: Non-Violent Public License',
		'Operating System :: POSIX',
		'Operating System :: MacOS :: MacOS X',
		'Operating System :: Microsoft :: Windows',
		'Programming Language :: Python :: 3.6',
		'Programming Language :: Python :: 3.7',
		'Programming Language :: Python :: 3.8',
		'Programming Language :: Python :: 3.9',
		'Topic :: Software Development'
	]
)
